Spanish Problem in GooglePlay: Target SDK version 30 requires a minimum of signature scheme v2

reijox

Member
Licensed User
Hola a todos,
Acabo de intentar subir una app a google play y me da este error:

Has subido un APK con una firma no válida (más información sobre la firma de aplicaciones). Error de apksigner: ERROR: MIN_SIG_SCHEME_FOR_TARGET_SDK_NOT_MET: Target SDK version 30 requires a minimum of signature scheme v2; the APK is not signed with this or a later signature scheme

en septiembre de 2019 Erel ponia que: " B4A signs with V1 scheme "
(https://www.b4x.com/android/forum/t...igner9-apk-install-failed.109573/#post-684443)

Tengo instalados el SDK y el android 30 u en el manifiesto tengo:
AddManifestText(
<uses-sdk android:minSdkVersion="30" android:targetSdkVersion="30"/>

Entiendo que debo firmar con "esquema V2" pero no se como hacerlo. Alguna idea?

Gracias
 

scsjc

Well-Known Member
Licensed User
Hola, creo que todavía no esta preparado para firmar con V2, te recomiendo que bajes el targetSdkVersion a 29
a mi me ha pasado lo mismo, pongo la consulta en el foro general a ver si descubrimos algo :)
 
Top